Package org.apache.sling.scripting.api

# Interface BindingsValuesProvider

public interface BindingsValuesProvider
Service interface which allows for the Bindings object.

Since:
  2.1

## Field Summary

Fields
Modifier and Type
Field
Description
`static final String`
`CONTEXT`
The name of the multi-value service property that defines the context(s) to which a BindingsValuesProvider applies.
`static final String`
`DEFAULT_CONTEXT`
The default value of the CONTEXT service property, used for compatibility with previous versions of this bundle that didn't require it.

## Method Summary

Modifier and Type
Method
Description
`void`
`addBindings(Bindings bindings)`
Add objects to the Bindings object.

## Field Details

### CONTEXT

static final String CONTEXT
The name of the multi-value service property that defines the context(s) to which a BindingsValuesProvider applies. This service property is optional, if not set the default value is `DEFAULT_CONTEXT`

See Also:
  - Constant Field Values

### DEFAULT_CONTEXT

static final String DEFAULT_CONTEXT
The default value of the CONTEXT service property, used for compatibility with previous versions of this bundle that didn't require it.

See Also:
  - Constant Field Values

## Method Details

### addBindings

void addBindings(Bindings bindings)
Add objects to the Bindings object. The Bindings object passed to this method does not support replacing or removing entries provided by Sling core scripting supports (request, response, resource, etc.). Entries created by other implementations of SlingScriptBindingsValuesProvider is permitted.

Parameters:
  `bindings` - the Bindings object